WordPress.org

Ready to get started?Download WordPress

Forums

Gravity Forms Highrise CRM
[resolved] Unable to Add New CRM Feed (9 posts)

  1. monopine
    Member
    Posted 1 year ago #

    Hi, I'm unable to get started creating a Feed within the Forms -> Highrise CRM page. Upon selecting a form (have tried a few forms, local and hosted sites, multiple browsers, etc.) nothing happens.

    When clicking Add New then selecting one of my forms, the console in Chrome reads, "Uncaught ReferenceError: SelectForm is not defined admin.php:180
    onchange".

    admin.php line 180 is:
    <select id="gf_highrise_crm_form" name="gf_highrise_crm_form" onchange="SelectForm(jQuery('#gf_highrise_crm_type').val(), jQuery(this).val());">

    Running WordPress 3.5.2 and 3.5.1 with only Gravity Forms (v1.7.6) and Gravity Forms Highrise CRM (2.0.2) active. Admin interface accessed in Chrome, Safari, and Firefox from MacOS X 10.8.4

    Thanks,
    Brian

    http://wordpress.org/extend/plugins/gravity-forms-highrise-crm/

  2. B Hays
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Brian,

    From the error, it seems like all the necessary JavaScript isn't being loaded. Can you go to the Forms -> Highrise CRM page and view the page source?

    Keep an eye out for function SelectForm(listId, formId) -- it should be near the bottom of the page.

    Let me know if you find that and we can go from there.

    ben

  3. monopine
    Member
    Posted 1 year ago #

    Thanks for the response,

    No SelectForm(listId, formID) in the source. There is one instance of SelectForm:
    <select id="gf_highrise_crm_form" name="gf_highrise_crm_form" onchange="SelectForm(jQuery('#gf_highrise_crm_type').val(), jQuery(this).val());">

    A complete dump of the source is here:
    https://dl.dropboxusercontent.com/u/24032898/source.html

  4. B Hays
    Member
    Plugin Author

    Posted 1 year ago #

    It looks like there is a Highrise API error in there when trying to retrieve the groups.

    Does your server have OpenSSL support? The server must have SSL support for the calls to Highrise to work properly.

    The current page source looks like it's a localhost installation, and you mentioned you've tried this on a shared host, correct? Can you show the output of a shared host WP install as well?

  5. monopine
    Member
    Posted 1 year ago #

    Ben,

    I verified my localhost server has OpenSSL enabled, but frankly, I don't really understand SSL. Anyway, this is the output from localhost/phpinfo.php

    OpenSSL support - enabled
    OpenSSL Library Version - OpenSSL 0.9.8l 5 Nov 2009
    OpenSSL Header Version - OpenSSL 0.9.8l 5 Nov 2009

    OpenSSL support in the hosted environment is a bit unclear. I've tried installing the Highrise CRM plugin on instances on Bluehost and on GoDaddy (Shared Linux Deluxe Hosting). I don't expect you to tell me if they support OpenSSL, but just referencing them since they're so ubiquitous.

    As an FYI, re: GoDaddy OpenSSL support in Linux Deluxe Shared Hosting. GoDaddy states the following:

    While certain aspects of OpenSSL are available on our Web Hosting plans, such as decoding CSRs and examining key files, OpenSSL cannot be used to create CSRs or install SSL Certificates on our Web Hosting. Depending on your needs of the application, you may be able to continue using the Web Hosting.

    The sourcedump from GoDaddy and BlueHost are located here:
    GoDaddy: https://dl.dropboxusercontent.com/u/24032898/godaddy-sample.html
    BlueHost: https://dl.dropboxusercontent.com/u/24032898/blue-host-sample.html

    I noticed the GoDaddy instance has the following fatal error in the source:

    <b>Fatal error</b>:  Uncaught exception 'Exception' with message 'Access denied to Groups resource' in /home/content/13/6829913/html/wp-content/plugins/gravity-forms-highrise-crm/inc/HighriseAPI.php:138
    Stack trace:
    #0 /home/content/13/6829913/html/wp-content/plugins/gravity-forms-highrise-crm/inc/HighriseAPI.php(171): HighriseAPI->checkForErrors('Groups')
    #1 /home/content/13/6829913/html/wp-content/plugins/gravity-forms-highrise-crm/gravity-forms-highrise-crm.php(674): HighriseAPI->getGroups()
    #2 /home/content/13/6829913/html/wp-content/plugins/gravity-forms-highrise-crm/gravity-forms-highrise-crm.php(271): GFHighriseCRM::edit_page('0')
    #3 [internal function]: GFHighriseCRM::highrise_page('')
    #4 /home/content/13/6829913/html/wp-includes/plugin.php(406): call_user_func_array(Array, Array)
    #5 /home/content/13/6829913/html/wp-admin/admin.php(151): do_action('forms_page_gf_h...')
    #6 {main}
      thrown in <b>/home/content/13/6829913/html/wp-content/plugins/gravity-forms-highrise-crm/inc/HighriseAPI.php</b> on line <b>138</b><br />

    Thanks!
    Brian

  6. B Hays
    Member
    Plugin Author

    Posted 1 year ago #

    Okay, looks like the SSL part is ruled out.

    Can you modify one of the plugin files for me and share the output?
    You'll need to adjust the following in the /inc/HighriseAPI.php file. The following starts on line 170:

    $xml = $this->getUrl("/groups.xml");
    $this->checkForErrors("Groups");

    and should be changed to:

    $xml = $this->getUrl("/groups.xml");
    echo "<!-- ".$xml." -->";
    $this->checkForErrors("Groups");

    This will add the full XML response from Highrise as a HTML comment in the page. If you're able to add this, can you let me see a copy of the output?

  7. monopine
    Member
    Posted 1 year ago #

    Thanks Ben,

    Added the new code. Output is here: https://dl.dropboxusercontent.com/u/24032898/output.html

    At the bottom of the source I'm getting:

    `<!-- Only administrators can perform this action. --><br />
    <b>Fatal error</b>: Uncaught exception 'Exception' with message 'Access denied to Groups resource' in /home/content/13/6829913/html/wp-content/plugins/gravity-forms-highrise-crm/inc/HighriseAPI.php:138
    Stack trace:
    #0 /home/content/13/6829913/html/wp-content/plugins/gravity-forms-highrise-crm/inc/HighriseAPI.php(172): HighriseAPI->checkForErrors('Groups')
    #1 /home/content/13/6829913/html/wp-content/plugins/gravity-forms-highrise-crm/gravity-forms-highrise-crm.php(674): HighriseAPI->getGroups()
    #2 /home/content/13/6829913/html/wp-content/plugins/gravity-forms-highrise-crm/gravity-forms-highrise-crm.php(271): GFHighriseCRM::edit_page('0')
    #3 [internal function]: GFHighriseCRM::highrise_page('')
    #4 /home/content/13/6829913/html/wp-includes/plugin.php(406): call_user_func_array(Array, Array)
    #5 /home/content/13/6829913/html/wp-admin/admin.php(151): do_action('forms_page_gf_h...')
    #6 {main}
    thrown in <b>/home/content/13/6829913/html/wp-content/plugins/gravity-forms-highrise-crm/inc/HighriseAPI.php</b> on line <b>138</b><br />`

    which corresponds to: the checkForErrors protected function. Line 138 is:

    case 403:
    	throw new Exception("Access denied to $type resource");
    	break;

    Error appears locally and on a hosted install.

  8. B Hays
    Member
    Plugin Author

    Posted 1 year ago #

    Only administrators can perform this action.

    It appears as though your Highrise account is not an admin account. Highrise restricts Group access to admins only.

    I don't know all the ins and outs of Highrise, but it seems weird they would even let you have API access as a non-admin.

    Is it possible for you to get Admin access on the account and use that API token?

  9. monopine
    Member
    Posted 11 months ago #

    Ben, you were correct - it turns out my first admin key was not the administrators.

    It's a little annoying that that's not readily obvious within Highrise itself.

    I was able to configure a table and successfully submitted an entry.

    Thank you!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.